================================================================
CONSTITUTION OF THE LINUX USERS GROUP AT OREGON STATE UNIVERSITY
================================================================

Original Proposed September 15, 2011

Participants:

 * Corbin Simpson
 * Daniel Thornton
 * Emily Dunham
 * Jacques Uber
 * Mike Cooper

Definitions (N)
===============

Organization (1)
----------------

Unless otherwise noted, the word "Organization" refers to the Linux Users
Group at Oregon State University.

Quorum (2)
----------

A quorum of members shall be fulfilled by two-thirds of the active body of
members eligible to vote, rounded down. A quorum of officers shall be
fulfilled by any four active officers.

Majority (3)
------------

A majority shall consist of two thirds of the voting members present, rounded
up.

Name and Purpose (I)
====================

Name (1)
--------

The name of the Organization shall be "Linux Users Group at Oregon State
University."

Purpose (2)
-----------

To encourage, facilitate, and initiate the involvement and education of OSU
students with free and open source software.

Non-Discrimination Policy (3)
-----------------------------

As required by Oregon State University, in accordance with the
Non-Discrimination Policy issued by the University, membership shall not be
denied to, nor abridged from, any student on the basis of age, color,
disability, gender identity or expression, genetic information, marital status,
national origin, race, religion, sex, sexual orientation, or veteran status.

Changes made to the University Non-Discrimination Policy which augment the
protections afforded to members in this section, shall extend those
protections.

In addition to the protections offered by the Non-Discrimination Policy,
membership shall also not be denied to, nor abridged from, any student on the
basis of sexual preference, mental health, choice of operating system, or
company affiliation.

Membership (II)
===============

Eligibility for Membership (1)
------------------------------

Any person may become a member. Membership is established by providing contact
information to an officer, being endorsed by that officer, and being added to
a confidential list of members. This list shall be kept and maintained by the
Secretary.

Membership for an individual shall be reevaluated at the end of each academic
term, defining whether or not that person shall be considered a member in the
following term. If an person considered to not be a member meets requirements
for membership partway through an academic term, that person may receive
membership status upon approval by an officer.

Tiers of Membership (2)
-----------------------

Membership shall be segregated by proximity of relationship to the University,
as required by the University. There shall be either Members who are associated
with the University, or Associate Members who are not associated with the
University.

Right of Association (3)
------------------------

The right of association, including the right to deny association with the
Organization, shall be preserved for all members.

Privacy of Members (4)
----------------------

No member's personal information shall be disclosed without their explicit
consent.

Student Membership and Privileges (5)
-------------------------------------

Student Membership shall be awarded to any member who is an enrolled student
of Oregon State University, has paid any required dues, and has participated
in a minimum of two events or meetings every term.

Student Membership Voting (5.1)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

Only student members shall be permitted to vote.


Associate Membership and Privledges (6)
---------------------------------------

Associate Membership shall be awarded to any person unaffiliated with the University
who participates in a minimum of two events or meetings each academic term. An
Associate Member is not eligible to vote in elections, participate in activities
specified as exclusive to Student or University Members, or hold an officer position.

Dues (7)
--------

The Organization has the authority to levy dues upon its voting members.
Members who have not paid current dues shall not be eligible to vote.

Dues shall be set and collected annually, which can be called to vote in the first
3 weeks of each academic term. No penalty for late dues shall be assessed within the
first 10 days of dues being set. Dues become unset after a year.

Setting Dues (7.1)
^^^^^^^^^^^^^^^^^^

Dues shall be set by the Treasurer, and approved by unanimous assent of a
quorum of officers.

Unset Dues (7.2)
^^^^^^^^^^^^^^^^

Unset dues require no action on the part of members, and are automatically
waived.

Financial Accommodations (7.3)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

The Treasurer, with the support of at least two other officers, may choose to
waive dues on a per member basis.

Payment of Dues (7.4)
^^^^^^^^^^^^^^^^^^^^^

Dues may only be collected by the Treasurer, and must be paid in full. Members
may not pay partial dues, except at the Treasurer's discretion. The Treasurer
may also choose to extend membership in case of partially paid dues.

Member Eligibility (8)
----------------------

All voting members and officers of the Organization must be at least part-time
students of Oregon State University in the current, previous, or following
term.

Voting Procedures (9)
---------------------

All votes shall require a quorum of the voting members, and will be run by the
secretary through rule of order, either vocally or by show of hands.

Officers (III)
==============

Officer Titles (1)
------------------

The named officers of the association shall be the President, Vice-President,
Secretary, Treasurer, Public Relations Officer, Webmaster, and Event Planner. These officers 
shall have enumerated duties, as prescribed by the constitution and bylaws.

For purposes of officer ranking, the list of officers shall be considered to
be in descending sorted order.

The officer positions of President, Secretary, and Treasurer are required positions 
for the functioning of the club. All other positions are optional but reccomended.

Officer Eligibility (2)
-----------------------

Officers must be Student Members. One person may hold multiple officer positions.

Officer Election (3)
--------------------

Required officer positions will be nominated by week 7 and elected by week 8 of spring term 
each year. At the end of the nomination period, a ballot shall be held, and 
the candidates receiving the most votes shall be named to their respective 
offices.

The nomination period, and the date of the ballot shall be publicly announced
at meetings and on the Organization's mailing list. The nomination period
shall be chosen and announced at least one week in advance.

Nominations (3.1)
^^^^^^^^^^^^^^^^^

Any voting member may nominate any voting member for any office.
Self-nomination is permitted. Candidates must explicitly accept nominations.
Acceptance of nomination implies commitment to fulfill all duties of one term
of office if elected.

Ties (3.2)
^^^^^^^^^^

In each vote, the highest-ranking officer who does not have a conflict of
interest shall abstain in order to break any ties that occur. The tie-breaker
shall be selected before votes are cast.

Emergency Elections (3.3)
^^^^^^^^^^^^^^^^^^^^^^^^^

In the case of officer vacancy an emergency election shall be held. Emergency
elections shall follow standard election procedure, and only affect the vacant
office. An emergency election's nomination period begins immediately after
vacancy, and lasts for 2 weeks.

Ballots (3.4)
^^^^^^^^^^^^^

Members shall have the privilege of secret ballots.

Ballots shall be conducted by the secretary, in a manner that allows for
secret ballots.

Officer Appointment (3.5)
^^^^^^^^^^^^^^^^^^^^^^^^^

Some offices, such as Webmaster, have skills-based duties and shall thus be
appointed by the executive committee rather than elected by the club. The
appointee must be a voting member of the club and must accept their
appointment. 

Officer Term Length (5)
-----------------------

Officers shall be elected to serve for one year or until their successors are
elected, and their terms of office shall begin at the close of the meeting at
which they are elected

Officer Vacancies (6)
---------------------

In the case of a vacancy in a named officer position, the President may
appoint a voting member to fill the position temporarily, until an emergency
election may be held for the position.

In the case of a vacancy in the position of President, the Vice President
shall assume the role of President until an emergency election is held, at
which point they will resume the role of Vice President.

Officer Meetings (7)
------------------

Officers will meet a minimum of once a month. This minimum does not apply during 
summer term or breaks. These meetings will be open to all club members.

Officer Duties (8)
------------------

Each officer shall have duties as described below. The club must have a President, 
Vice President, Secretary, and Treasurer appointed at all times. All other officer 
positions are recomended but optional. 

President (8.1) 
^^^^^^^^^^^^^^^ 

The President will be responsible for the daily operations of the  
Organization, and any official duties not otherwise assigned. The President  
will have complete responsibility to see that all required tasks are completed 
or are delegated. They will ensure that the minimum number of 
meetings for the club (see: Meetings of the Organization (VII)) are scheduled 
and planned. 

Vice President (8.2) 
^^^^^^^^^^^^^^^^^^^^ 

The Vice President will be responsible for assisting the President in 
completing their duties, and being prepared to assume the powers and 
responsibilities of the President in case of absence. They will also verify 
that all actions taken by the president are in compliance with this 
constitution, and assume the duty of any other officer who is absent, 
including the ability to delegate the responsibilities of the officer in 
which they are filling for. 

Secretary (8.3) 
^^^^^^^^^^^^^^^ 

The Secretary will be responsible for keeping order during meetings, recording 
minutes of meetings, keeping the confidential member list, and running 
elections. The Secretary will have the highest level of control over all written or 
digital documents related to the club, and may delegate partial levels of maintenance 
to others. The secretary must ensure all documents related to the club remain 
accessible to the public either upon request or through a digital page. 

Treasurer (8.4) 
^^^^^^^^^^^^^^^ 

The Treasurer will be responsible for keeping track of and signing off on all 
incoming and outgoing funds for the organization. The treasurer has final 
approval power over any spending of the club, and must directly approve of any 
related action before it can continue forward. The treasurer shall be the only one 
to directly touch any funds of the club. They must provide a report of all yearly 
spending and current balances at the end of every term and upon request from two or 
more officers. Upon receiving any type of physical currency, the treasurer has 7 day 
to deposit the associated amount into the club funds and provide the receipt to the 
secretary. 

Public Relations (8.5) 
^^^^^^^^^^^^^^^^^^^^^^ 

The Public Relations officer will be responsible for communicating the club's 
identity and purpose to potential members and the community, collaborating 
with club members to create promotional materials, and maintaining the 
organization's professional image on social media. 

Webmaster (8.6) 
^^^^^^^^^^^^^^^ 

The Webmaster will be responsible for the creation, design, hosting, and 
maintenance of the Organization's web presence. The office of Webmaster shall 
be appointed to a qualified and interested club member during the week 
following the election of elected offices. The webmaster must provide public 
access to all club-related digital documents provided by the secretary. 

Event Planner (8.7) 
^^^^^^^^^^^^^^^^^^ 

The Event Planner will be responsible for the planning and scheduling of club-related 
events. They will also be in charge of finding volunteers to run the event and communicating 
with the treasurer to design a budget for the club. They will reserve any associated space 
for the event and interact with OSU faculty to ensure that the proposed event is allowed 
within the scope of the University.  

Standing Committees (IV)
========================

Purpose (1)
-----------

Standing Committees may be formed, at the appointment of the President or a
unanimous vote from a quorum of officers, to serve the Organization in a
specific and specialized capacity.

Representation (2)
------------------

Standing Committees have the full backing and faith of the Organization when
acting according to their purpose.

Permanence (3)
--------------

No Standing Committee shall be permanent. All Standing Committees must disband
after a time to be decided at the formation of the committee.

Discipline and Termination (V)
=============================

General Discipline (1)
----------------------

If an officer or a member has failed to carry out their responsibilites has violated
this constitution in the view of other officers or members, general discipline may be applied. A vote
for general discipline may be called for by two student members or one officer. If the vote
has been initiated, a quorum of officers must also agree on the discipline for it to
move forward. The terms of the discipline may be defined by all parties participating in the
discussion and must be fully accepted by defending member. If an agreement is not reached, the
issue may be elevated to a vote of no confidence if desired. Note that the Vote of No Confidence
must be called to a vote by its own set of rules, as outlined below.

Vote of No Confidence (2)
-------------------------

A vote of no confidence may be called by any Student Member during any meeting, which
must be seconded by another present member to question the eligibility or qualifications 
of an officer or member of a standing committee. If a vote is to take place, then the member
calling for the vote must provide written or verbal reasoning within 24 hours. In following, the
officer in question has one week to provide either written or verbal defense of their
title if they so choose. Once either a week has passed or official defense has been
provided, a vote of no confidence shall be conducted by the secretary. If the officer
conducting the vote of no confidence has a conflict of interest, then the highest ranking
officer without a conflict of interest shall conduct the vote of no confidence, in a manner
that allows for secret ballots. Voting shall take place for a minimum of one week, with
results to be announced at the next meeting following the end of the voting period. A vote 
of no confidence requires a majority of a quorum of voting members. In the case the vote is
successful, the officer will be immediately removed from office, and the office will be 
considered vacant.

Illegal or Discriminatory Termination (3)
-----------------------------------------

If a former member, representative, or officer claims that their termination
from the group violates the stated Anti-Discrimination Policy, their
termination shall be stayed pending review by the officers of the Organization
and an agent of the University.

Advisor (VI)
============

The Linux Users Group shall have at least one faculty advisor, who is a member
of the University faculty or Administrative & Professional staff.

Advisors shall be chosen by consensus of officers and the sponsoring unit of
the University.

The role of the advisor is to mentor, oversee, guide, and regulate
Organization activity; to prevent the Organization from acting contrary to the
sponsoring unit's goals; and to enable the Organization to more effectively
represent the University.

Meetings of the Organization (VII)
==================================

Official meetings shall be held once per week, unless no officers are
available to run the meeting, or quorum cannot be met. Special meetings for 
events or emergencies can be called outside of the official meetings. Special 
meetings may be called by any officer. There will be a minimum number of 5 
meetings per term. This minimum does not apply during summer term or breaks.

Constitutional Amendment (VIII)
===============================

This constitution may be amended at any regular meeting by a majority vote of
a quorum of members and unanimous assent of a quorum officers. Amendments must
be submitted in writing, must be read in full to the assembled constituency
during the meeting, must be in patch form, and must cleanly apply to the most
recent copy of this constitution.

Parliamentary Procedure (IX)
============================

Aside from the following exceptions, the Rule of Order shall determine the
order of meetings.

Keeping of Minutes (1)
----------------------

Minutes may be kept, at the Secretary's discretion. Minutes are not required
to be read during meetings. Minutes kept must be posted to the website.

Chairman (2)
------------

The highest-ranking officer present shall preside over meetings. They may
yield running of the meeting to a volunteer.

Constitutional Authority (X)
============================

Law of the Land (1)
-------------------

This constitution is the law of the land. No bylaw may alter, augment,
abridge, or otherwise override this constitution, except where expressly
permitted.

Bylaws (2)
----------

Bylaws established according to the rules and procedures laid forth in this
constitution are considered binding and applicable to the Organization and its
members, except in any case where any clause of a bylaw conflicts with this
constitution.

Current Bylaws
--------------
* There should be a maximum of one bot in the irc channel (#osu-lug,
  irc.freenode.net) at any time.
* Any malicious (i.e., 'black hat') material shared in the official
  OSU LUG IRC Channels should be presented in an academic or educational
  context. We do not encourage the use of malicious exploits under any
  circumstances.

Bylaw Procedures
----------------
Preamble
--------
This is a set of bylaws for the Linux Users Group at Oregon State University. 
These are not set in stone and are in fact meant to be dynamic, adapting to the 
needs of the community as they change. These bylaws are separate from our 
constitution (which is also in this repository) but ought to be enforced by the 
community.

For information on contributing to the set of bylaws see the `Contributing`
section below.

Contributing
------------
How to propose a bylaw:

#. Have a GitHub account.
#. Fork this repository into your own personal GitHub account.
#. Edit this file to modify the ruleset.
#. Commit this change with a commit message explaining the following:
    - What the proposed bylaw is.
    - Why the bylaw was put in place.
    - Your irc handle in #osu-lug and/or your 'real name'.
#. Create a Pull Request to merge your version of this repository into the
   master branch of the original repository. DO NOT MERGE THE PULL REQUEST.

A pull request into master can only be merged with the approving comment (+1)
of the following individuals:

* The OSU LUG President.
* Two officers.
* Three active LUG members (regularly attend meetings or communicate in the
  #osu-lug IRC channel).

The final merge into master must be done by an officer of LUG.

Any comment for or against the change in the comments of the pull request must
include a reason for the support or non-support. Any -1 comments should either
be fixed by the individual making the pull request or addressed by the
individual making the pull request with a WONTFIX response and reason. It is
the responsibility of the voting population to give feedback for improvement if
a bylaw proposition; active participation is necessary for this system to work.
All comments must include the GitHub user's irc handle in #osu-lug if different
from their github handle.

Any part of this document can be changed with the above process, including the
above process, however alterations to the above process must pass by the
current process's rules.




.. vim: set syntax=rest:textwidth=78:wrapmargin=2 :
